Topic
  • 1 reply
  • Latest Post - ‏2012-05-02T21:14:11Z by SystemAdmin
dhmlau
dhmlau
3 Posts

Pinned topic error while loading shared libraries: libcrypto.so.6

‏2012-05-02T14:13:14Z |
Hi,

I've installed InfoSphere Streams 2.0 and the Streams Studio. After importing the sample SPL projects, I got an error in the SPL build console which I don't know how to resolve:

/opt/ibm/InfoSphereStreams/bin/spl-make-toolkit: error while loading shared libraries: libcrypto.so.6: cannot open shared object file: No such file or directory
  • Indexing toolkit for project VMStat completed in 0.009 seconds ----
I think it has something to do with my environment because I imported another sample project, it gives me the same error.

libcrypto.so is not in my lib folder, and I'm not sure where to get it.

Thanks,
Diana
  • SystemAdmin
    SystemAdmin
    1245 Posts

    Re: error while loading shared libraries: libcrypto.so.6

    ‏2012-05-02T21:14:11Z  
    The missing dependency, libcrypto.so.6, is provided by the openssl package which should be included with the set of default packages during a graphical installation of the os. The recommended installation procedure is to perform a graphical install and not remove any of the default selected packages.

    To fix this, you need to use yum to install the openssl package, which is included on the RHEL media.

    Here is a link to information about installation prerequisites. The openssl package would be one of the "Category 1" RPMs that streams requires (but does not do an explicit check for during installation).

    http://publib.boulder.ibm.com/infocenter/streams/v2r0/index.jsp?topic=%2Fcom.ibm.swg.im.infosphere.streams.install-admin.doc%2Fdoc%2Fibminfospherestreams-install-prerequisites-rpms.html

    Regards,
    Paul Allen